Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.existential
Class ExistentialFillerProvider

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.ui.existential.ExistentialFillerProvider

All Implemented Interfaces:
  OWLModelVisitor

    public class ExistentialFillerProvider

extends OWLModelVisitorAdapter

Author: Matthew Horridge
The University Of Manchester
Medical Informatics Group
Date: Feb 5, 2006

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ExistentialFillerProvider(OWLObjectProperty property)`

Method Summary
`Set` | `getFillers()`
`void` | `reset()`
`void` | `visitOWLCardinality(OWLCardinality owlCardinality)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)`
`void` | `visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitOWLAllDifferent, visitOWLAllValuesFrom, visitOWLComplementClass, visitOWLDataRange, visitOWLDatatypeProperty, visitOWLEnumeratedClass, visitOWLHasValue, visitOWLIndividual, visitOWLMaxCardinality, visitOWLObjectProperty, visitOWLOntology, visitOWLUnionClass, visitRDFDatatype, visitRDFIndividual, visitRDFList, visitRDFProperty, visitRDFSLiteral, visitRDFSNamedClass, visitRDFUntypedResource, visitSWRLAtomListIndividual, visitSWRLIndividual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistentialFillerProvider

    public ExistentialFillerProvider(OWLObjectProperty property)

Method Detail

### reset

    public void reset()

### getFillers

    public Set getFillers()

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass owlNamedClass)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLIntersectionClass

    public void visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)

  Specified by:
    `visitOWLIntersectionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIntersectionClass` in class `OWLModelVisitorAdapter`

### visitOWLSomeValuesFrom

    public void visitOWLSomeValuesFrom(OWLSomeValuesFrom someValuesFrom)

  Specified by:
    `visitOWLSomeValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLSomeValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLMinCardinality

    public void visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)

  Specified by:
    `visitOWLMinCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMinCardinality` in class `OWLModelVisitorAdapter`

### visitOWLCardinality

    public void visitOWLCardinality(OWLCardinality owlCardinality)

  Specified by:
    `visitOWLCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLCardinality` in class `OWLModelVisitorAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.